PerInstancePojoMetaClassSite (Groovy 5.0.0)
Description: declaration: package: org.codehaus.groovy.runtime.callsite, class: PerInstancePojoMetaClassSite

Package org.codehaus.groovy.runtime.callsite

# Class PerInstancePojoMetaClassSite

java.lang.Object
org.codehaus.groovy.runtime.callsite.AbstractCallSite
org.codehaus.groovy.runtime.callsite.PerInstancePojoMetaClassSite

All Implemented Interfaces:
  `CallSite`

public class PerInstancePojoMetaClassSite extends AbstractCallSite

- ## Field Summary

  ### Fields inherited from class org.codehaus.groovy.runtime.callsite.AbstractCallSite

  `array, index, name`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `PerInstancePojoMetaClassSite(CallSite site, ClassInfo info)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `Object`
  `call(Object receiver, Object[] args)`

  ### Methods inherited from class org.codehaus.groovy.runtime.callsite.AbstractCallSite

  `acceptGetProperty, acceptGroovyObjectGetProperty, call, call, call, call, call, callConstructor, callConstructor, callConstructor, callConstructor, callConstructor, callConstructor, callCurrent, callCurrent, callCurrent, callCurrent, callCurrent, callCurrent, callGetProperty, callGetPropertySafe, callGroovyObjectGetProperty, callGroovyObjectGetPropertySafe, callSafe, callSafe, callSafe, callSafe, callSafe, callSafe, callStatic, callStatic, callStatic, callStatic, callStatic, callStatic, createGetPropertySite, createGroovyObjectGetPropertySite, getArray, getIndex, getName, getProperty`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### PerInstancePojoMetaClassSite

    public PerInstancePojoMetaClassSite(CallSite site, ClassInfo info)

- ## Method Details

  - ### call

    public Object call(Object receiver, Object[] args) throws Throwable
    Specified by:
      `call` in interface `CallSite`
    Overrides:
      `call` in class `AbstractCallSite`
    Throws:
      `Throwable`